## OGMRipOptions

OGMRipOptions — Structures to manipulate audio and subtitles options

## Functions

void | ogmrip_audio_options_init ()
void | ogmrip_audio_options_reset ()
void | ogmrip_subp_options_init ()
void | ogmrip_subp_options_reset ()

## Types and Values

struct | OGMRipAudioOptions
struct | OGMRipSubpOptions

## Object Hierarchy

## Includes

    #include <ogmrip-options.h>

## Description

## Functions

### ogmrip_audio_options_init ()

    void
    ogmrip_audio_options_init (OGMRipAudioOptions *options);

Initializes `options` with the default audio options.

#### Parameters

options | An OGMRipAudioOptions |

### ogmrip_audio_options_reset ()

    void
    ogmrip_audio_options_reset (OGMRipAudioOptions *options);

Clears the current options in `options` and resets them to the default audio options.

#### Parameters

options | An OGMRipAudioOptions |

### ogmrip_subp_options_init ()

    void
    ogmrip_subp_options_init (OGMRipSubpOptions *options);

Initializes `options` with the default subp options.

#### Parameters

options | An OGMRipSubpOptions |

### ogmrip_subp_options_reset ()

    void
    ogmrip_subp_options_reset (OGMRipSubpOptions *options);

Clears the current options in `options` and resets them to the default subp options.

#### Parameters

options | An OGMRipSubpOptions |

## Types and Values

### struct OGMRipAudioOptions

    struct OGMRipAudioOptions {
      GType codec;
      gchar *label;
      gint quality;
      gint srate;
      gint channels;
      gint language;
      gboolean normalize;
      gboolean defaults;
    };

This structure describes the options of an audio track.

#### Members

GType `codec`; | The type of the audio codec |
gchar *`label`; | The label of the track |
gint `quality`; | The quality of the track |
gint `srate`; | The sample rate of the track |
gint `channels`; | The number of channels of the track |
gint `language`; | The language of the track |
gboolean `normalize`; | Whether to normalize the sound |
gboolean `defaults`; | Whether these are the default options |

### struct OGMRipSubpOptions

    struct OGMRipSubpOptions {
      GType codec;
      gchar *label;
      gint charset;
      gint newline;
      gint language;
      gboolean spell;
      gboolean forced_subs;
      gboolean defaults;
    };

This structure describes the options of a subtitles stream.

#### Members

GType `codec`; | The type of the subtitles codec |
gchar *`label`; | The label of the stream |
gint `charset`; | The character set of the stream |
gint `newline`; | The newline style |
gint `language`; | The language of the stream |
gboolean `spell`; | Whether to spell check the subtitles |
gboolean `forced_subs`; | Whether to encode forced subs obly |
gboolean `defaults`; | Whether these are the default options |